## mono-basic 2.0+dfsg

=== Makefile ===
thisdir := .

SUBDIRS := build class tools vbnc vbruntime scripts

include build/rules.make

all-recursive $(STD_TARGETS:=-recursive): platform-check profile-check

.PHONY: all-local $(STD_TARGETS:=-local)
all-local $(STD_TARGETS:=-local):
	@:

DISTFILES = README configure mkinstalldirs install-sh LICENSE

# fun specialty targets

PROFILES = default net_2_0

.PHONY: all-profiles $(STD_TARGETS:=-profiles)
all-profiles $(STD_TARGETS:=-profiles): %-profiles: profiles-do--%
	@:

profiles-do--%:
	$(MAKE) $(PROFILES:%=profile-do--%--$*)

# The % below looks like profile-name--target-name
profile-do--%:
	$(MAKE) PROFILE=$(subst --, ,$*)

# We don't want to run the tests in parallel.  We want behaviour like -k.
profiles-do--run-test:
	ret=:; $(foreach p,$(PROFILES), { $(MAKE) PROFILE=$(p) run-test || ret=false; }; ) $$ret

# Orchestrate the bootstrap here.
_boot_ = all clean install
$(_boot_:%=profile-do--net_2_0--%):           profile-do--net_2_0--%:           profile-do--net_2_0_bootstrap--%
$(_boot_:%=profile-do--net_2_0_bootstrap--%): profile-do--net_2_0_bootstrap--%: profile-do--default--%
$(_boot_:%=profile-do--default--%):           profile-do--default--%:           profile-do--net_1_1_bootstrap--%
$(_boot_:%=profile-do--net_1_1_bootstrap--%): profile-do--net_1_1_bootstrap--%: profile-do--basic--%

testcorlib:
	@cd class/corlib && $(MAKE) test run-test

compiler-tests:
	$(MAKE) TEST_SUBDIRS="tests errors" run-test-profiles

test-installed-compiler:
	$(MAKE) TEST_SUBDIRS="tests errors" PROFILE=default TEST_RUNTIME=mono MCS=mcs run-test
	$(MAKE) TEST_SUBDIRS="tests errors" PROFILE=net_2_0 TEST_RUNTIME=mono MCS=gmcs run-test

package := mono-basic-$(VERSION)

dist-local: dist-default

dist-pre:
	rm -rf $(package)
	mkdir $(package)

dist-tarball: dist-pre
	$(MAKE) distdir='$(package)' dist-recursive
	tar cvjf $(package).tar.bz2 $(package)

dist: dist-tarball
	rm -rf $(package)

# the egrep -v is kind of a hack (to get rid of the makefrags)
# but otherwise we have to make dist then make clean which
# is sort of not kosher. And it breaks with DIST_ONLY_SUBDIRS.
#
# We need to set prefix on make so class/System/Makefile can find
# the installed System.Xml to build properly

distcheck: dist-tarball
	rm -rf InstallTest Distcheck-MONOBASIC ; \
	mkdir InstallTest ; \
	destdir=`cd InstallTest && pwd` ; \
	mv $(package) Distcheck-MONOBASIC ; \
	(cd Distcheck-MONOBASIC && \
	    ./configure --prefix=$(prefix) && \
	    $(MAKE) prefix=$(prefix) && $(MAKE) test && $(MAKE) install DESTDIR="$$destdir" && \
	    $(MAKE) clean && $(MAKE) dist || exit 1) || exit 1 ; \
	mv Distcheck-MONOBASIC $(package) ; \
	tar tjf $(package)/$(package).tar.bz2 |sed -e 's,/$$,,' |sort >distdist.list ; \
	rm $(package)/$(package).tar.bz2 ; \
	tar tjf $(package).tar.bz2 |sed -e 's,/$$,,' |sort >before.list ; \
	find $(package) |egrep -v '(makefrag|response|config.make)' |sed -e 's,/$$,,' |sort >after.list ; \
	cmp before.list after.list || exit 1 ; \
	cmp before.list distdist.list || exit 1 ; \
	rm -f before.list after.list distdist.list ; \
	rm -rf $(package) InstallTest

vbnc: vbnc.in Makefile
	sed -e s,@prefix@,$(prefix),g < vbnc.in > $@.tmp
	mv $@.tmp $@

=== tools/extract-source/Makefile ===
thisdir = tools/extract-source
SUBDIRS =
include ../../build/rules.make

NO_INSTALL = yes

PROGRAM = extract-source.exe
PROGRAM_COMPILE = $(BOOT_COMPILE) -r:System.Xml.dll -noconfig -define:_MYTYPE=\"Empty\"

include ../../build/executable.make

=== vbnc/rt-execute/Makefile ===
thisdir = vbnc/rt-execute
SUBDIRS =
include ../../build/rules.make

NO_INSTALL = yes

PROGRAM = rt-execute.exe
PROGRAM_COMPILE = $(BOOT_COMPILE) -r:System.Xml.dll,System.dll -imports:System,Microsoft.VisualBasic,System.Collections,System.Collections.Generic,System.Diagnostics

include ../../build/executable.make

DISTFILES = \
	Makefile                \
	rt-execute.vbproj

rt-execute.exe.sources: rt-execute.vbproj
	MONO_PATH="../../class/lib/bootstrap$(PLATFORM_PATH_SEPARATOR)$$MONO_PATH" mono ../../tools/extract-source/extract-source.exe -s:rt-execute.vbproj -d:rt-execute.exe.sources -m:l -x:r

=== vbnc/vbnc/Makefile ===
thisdir = vbnc/vbnc
SUBDIRS = tests
include ../../build/rules.make

LOCAL_VBNC_FLAGS = @vbnc.exe.rsp $(EXTERNAL_VBNC_FLAGS)

PROGRAM = $(topdir)/class/lib/vbnc/vbnc.exe
PROGRAM_COMPILE = $(BOOT_COMPILE)

include ../../build/executable.make
DISTFILES = \
	Makefile  		\
	Readme.txt  		\
	vbnc.Errors.resources	\
	vbnc.exe.rsp  		\
	vbnc.exe.sources  	\
	vbnc.sln  		\
	vbnc.vbnc.rsp		\
	source/vbnc.vbproj	\
	bin/vbnc.rsp            \
	source/Resources/Errors.resx \
	source/vbnc.rsp

VERSION_VB=source/General/Version.vb

version: $(VERSION_VB) ../../configure
	-cat ../License\ FileHeader.txt > $(VERSION_VB)
	-echo -n "<Assembly: AssemblyInformationalVersion (\"" >> $(VERSION_VB)
	-echo -n `more ../../configure | grep VERSION | grep -v echo | sed 's/VERSION=//'` >> $(VERSION_VB)
	-echo -n " - r" >> $(VERSION_VB)
	-echo -n `svn info . | grep Revision | sed 's/Revision: //'` >> $(VERSION_VB)
	-echo -n "\")>" >> $(VERSION_VB)

all-local: vbnc.Errors.resources vbnc.exe.sources version

vbnc.Errors.resources: source/Resources/Errors.resx
	resgen2 source/Resources/Errors.resx vbnc.Errors.resources

vbnc.vbnc.rsp: source/vbnc.rsp
	cp source/vbnc.rsp vbnc.vbnc.rsp

vbnc.exe.sources: vbnc.vbnc.rsp source/vbnc.vbproj vbnc.Errors.resources
	MONO_PATH="../../class/lib/bootstrap$(PLATFORM_PATH_SEPARATOR)$$MONO_PATH" mono ../../tools/extract-source/extract-source.exe -s:source/vbnc.vbproj -d:vbnc.exe.sources -m:l -b:source/ -x:r

install-local: install-extras
install-extras: 
	$(MKINSTALLDIRS) $(DESTDIR)$(PROGRAM_INSTALL_DIR)
	$(INSTALL_DATA) bin/vbnc.rsp $(DESTDIR)$(PROGRAM_INSTALL_DIR)

uninstall-local: uninstall-extras
uninstall-extras:
	rm -f $(DESTDIR)$(PROGRAM_INSTALL_DIR)/vbnc.rsp

install-binary: default
	cp ../../class/lib/vbnc/vbnc.* ../../class/lib/bootstrap

boot-from-ms:
	cd tests/SelfTest/ && boot.sh && rerun.sh
	cp tests/SelfTest/vbnc.exe ../../class/lib/bootstrap
	
test-thorough:
	cd tests/SelfTest/ && updatesources.sh
	cd tests/SelfTest/ && rerun.sh && rerun.sh && rerun.sh
	cp tests/SelfTest/vbnc.exe* ../../class/lib/bootstrap
	cd ../../vbruntime && make install && cp ../class/lib/vbnc/Microsoft.VisualBasic.dll* ../class/lib/bootstrap/
	cd ../../ && make clean && make install

=== vbruntime/Test/Makefile ===

thisdir = vbruntime/Test
SUBDIRS =
include ../../build/rules.make

DISTFILES = \
	2005VB_test_CS.csproj		\
	2005VB_test_CS.dll.rsp		\
	2005VB_test_CS.dll.sources	\
	2005VB_test_CS.dll.sources.win	\
	2005VB_test_VB.dll.rsp		\
	2005VB_test_VB.dll.sources	\
	2005VB_test_VB.dll.sources.win	\
	2005VB_test_VB.vbproj		\
	ChangeLog			\
	Make.cmd

DISTFILES += $(wildcard *.vb) $(wildcard *.cs) $(wildcard */*.vb) $(wildcard */*.cs)
DISTFILES += $(wildcard bin/*)

MONO_VB_PATH="../../class/lib/bootstrap$(PLATFORM_PATH_SEPARATOR)$$MONO_PATH"

ifeq ("$(FXVERSION)", "")
NUNIT_VERSION=2
else
NUNIT_VERSION=$(FXVERSION)
endif

ifeq ("$(NUNIT_VERSION)", "1")
CSCOMPILER=mcs
CSDEFINES=-define:NET_1_0,NET_1_1
else
CSCOMPILER=gmcs
CSDEFINES=-define:NET_1_0,NET_1_1,NET_2_0
endif

ifeq ($(PLATFORM), win32)
WINTEST=-cmd /C Make.cmd 1_1; cmd /C Make.cmd 2_0
else
WINTEST=-echo Linux environment.
endif

init:
	cp bin/nunit-console$(NUNIT_VERSION).exe.config bin/nunit-console.exe.config
	$(WINTEST)

2005VB_test_VB.dll.sources: 2005VB_test_VB.vbproj 
	MONO_PATH=$(MONO_VB_PATH) mono ../../tools/extract-source/extract-source.exe -s:2005VB_test_VB.vbproj -d:2005VB_test_VB.dll.sources -m:l
	MONO_PATH=$(MONO_VB_PATH) mono ../../tools/extract-source/extract-source.exe -s:2005VB_test_VB.vbproj -d:2005VB_test_VB.dll.sources.win -m:w
	
2005VB_test_CS.dll.sources: 2005VB_test_CS.csproj
	MONO_PATH=$(MONO_VB_PATH) mono ../../tools/extract-source/extract-source.exe -s:2005VB_test_CS.csproj -d:2005VB_test_CS.dll.sources -m:l
	MONO_PATH=$(MONO_VB_PATH) mono ../../tools/extract-source/extract-source.exe -s:2005VB_test_CS.csproj -d:2005VB_test_CS.dll.sources.win -m:w

test-first:
	cd ../Microsoft.VisualBasic && make && cp ../../class/lib/vbnc/Microsoft.VisualBasic.dll* ../Test/bin

test-cs: test-first 2005VB_test_CS.dll.sources
	$(CSCOMPILER) "-out:bin/2005VB_test_CS.dll" @2005VB_test_CS.dll.rsp @2005VB_test_CS.dll.sources -lib:bin $(CSDEFINES)
	
test-vb: test-first 2005VB_test_VB.dll.sources 
	$(VBNC) -out:bin/2005VB_test_VB.dll @2005VB_test_VB.dll.rsp /d:NET_VER=2.0 @2005VB_test_VB.dll.sources /libpath:bin

test-local: init run-test-cs run-test-vb

clean-local:
	-rm -f bin/2005VB_test_VB.*
	-rm -f bin/2005VB_test_CS.*
	-rm -fR bin/data
	
run-test-cs: test-cs
	-cd bin && mono --debug nunit-console.exe 2005VB_test_CS.dll /exclude:NotWorking /labels

run-test-vb: test-vb
	-cd bin && mono --debug nunit-console.exe 2005VB_test_VB.dll /exclude:NotWorking /labels 

run-test-local: run-test-cs run-test-vb
	
run-test-ondotnet-local all-local install-local uninstall-local:
	@:

dist-local: dist-default

## mono-basic 2.4.2

=== build/Makefile ===
thisdir = build
SUBDIRS = 
include ../build/rules.make

all-local install-local test-local run-test-local run-test-ondotnet-local uninstall-local: $(BUILT_FILES)
	@:

clean-local:
	-rm -f $(BUILT_FILES) deps/*

PLATFORMS = linux win32

PROFILES = bootstrap vbnc

DISTFILES = \
	config-default.make		\
	executable.make			\
	library.make			\
	rules.make			\
	$(PLATFORMS:%=platforms/%.make) $(PROFILES:%=profiles/%.make)

dist-local: dist-default
	$(MKINSTALLDIRS) $(distdir)/deps

=== scripts/Makefile ===
thisdir = scripts

include ../build/rules.make

PROGRAM_INSTALL_DIR = $(prefix)/bin

all-local: vbnc

vbnc: vbnc.in Makefile
	sed -e s,@prefix@,$(prefix),g < vbnc.in > $@.tmp
	mv $@.tmp $@

install-local: all-local
	$(MKINSTALLDIRS) $(DESTDIR)$(PROGRAM_INSTALL_DIR)
	$(INSTALL_BIN) vbnc $(DESTDIR)$(PROGRAM_INSTALL_DIR)

uninstall-local: 
	-rm -f $(DESTDIR)$(PROGRAM_INSTALL_DIR)/vbnc

DISTFILES = vbnc.in Makefile

clean-local:
	rm -f vbnc

test-local run-test-local run-test-ondotnet-local all-local:
	@:

dist-local: dist-default

=== tools/Makefile ===
thisdir = tools

SUBDIRS = extract-source

include ../build/rules.make

DISTFILES = Makefile

clean-local test-local run-test-local run-test-ondotnet-local all-local install-local uninstall-local:
	@:

dist-local: dist-default

=== vbruntime/Makefile ===
thisdir = vbruntime
include ../build/rules.make

SUBDIRS := Microsoft.VisualBasic Test

DISTFILES = Makefile VB.build.bat InitPaths.cmd

clean-local test-local run-test-local run-test-ondotnet-local all-local install-local uninstall-local:
	@:

dist-local: dist-default

=== vbnc/rt-console/Makefile ===
thisdir = vbnc/rt-console
SUBDIRS =
include ../../build/rules.make

NO_INSTALL = yes

PROGRAM = rt-console.exe
PROGRAM_COMPILE = $(BOOT_COMPILE) -r:System.Xml.dll,System.dll -imports:System,Microsoft.VisualBasic,System.Collections,System.Collections.Generic,System.Diagnostics

include ../../build/executable.make

DISTFILES = \
	Makefile		\
	Readme.txt		\
	rt-console.vbproj

rt-console.exe.sources: rt-console.vbproj
	MONO_PATH="../../class/lib/bootstrap$(PLATFORM_PATH_SEPARATOR)$$MONO_PATH" mono ../../tools/extract-source/extract-source.exe -s:rt-console.vbproj -d:rt-console.exe.sources -m:l -x:r

=== vbnc/vbnc/Makefile ===
--- 
+++ 
@@ -19,19 +19,13 @@
 	source/vbnc.vbproj	\
 	bin/vbnc.rsp            \
 	source/Resources/Errors.resx \
-	source/vbnc.rsp
+	source/vbnc.rsp		\
+	setversion.sh
 
-VERSION_VB=source/General/Version.vb
+version.tmp: $(topdir)/configure setversion.sh
+	-$(topdir)/vbnc/vbnc/setversion.sh $(topdir)/vbnc/vbnc/source/General/Version.vb
 
-version: $(VERSION_VB) ../../configure
-	-cat ../License\ FileHeader.txt > $(VERSION_VB)
-	-echo -n "<Assembly: AssemblyInformationalVersion (\"" >> $(VERSION_VB)
-	-echo -n `more ../../configure | grep VERSION | grep -v echo | sed 's/VERSION=//'` >> $(VERSION_VB)
-	-echo -n " - r" >> $(VERSION_VB)
-	-echo -n `svn info . | grep Revision | sed 's/Revision: //'` >> $(VERSION_VB)
-	-echo -n "\")>" >> $(VERSION_VB)
-
-all-local: vbnc.Errors.resources vbnc.exe.sources version
+all-local: vbnc.Errors.resources vbnc.exe.sources version.tmp
 
 vbnc.Errors.resources: source/Resources/Errors.resx
 	resgen2 source/Resources/Errors.resx vbnc.Errors.resources
@@ -42,7 +36,7 @@
 vbnc.exe.sources: vbnc.vbnc.rsp source/vbnc.vbproj vbnc.Errors.resources
 	MONO_PATH="../../class/lib/bootstrap$(PLATFORM_PATH_SEPARATOR)$$MONO_PATH" mono ../../tools/extract-source/extract-source.exe -s:source/vbnc.vbproj -d:vbnc.exe.sources -m:l -b:source/ -x:r
 
-install-local: install-extras
+install-local: install-extras version.tmp
 install-extras: 
 	$(MKINSTALLDIRS) $(DESTDIR)$(PROGRAM_INSTALL_DIR)
 	$(INSTALL_DATA) bin/vbnc.rsp $(DESTDIR)$(PROGRAM_INSTALL_DIR)

=== vbruntime/Microsoft.VisualBasic/Makefile ===
thisdir = vbruntime/Microsoft.VisualBasic
include ../../build/rules.make

LIBRARY = Microsoft.VisualBasic.dll

ifeq ("$(PROFILE)", "moonlight")
LOCAL_VBNC_FLAGS = @vbruntime-moonlight.rsp $(EXTRA_VBRUNTIME_FLAGS)
else
ifeq ("$(FXVERSION)", "1")
LOCAL_VBNC_FLAGS = @vbruntime1.rsp $(EXTRA_VBRUNTIME_FLAGS)
else
LOCAL_VBNC_FLAGS = @vbruntime2.rsp $(EXTRA_VBRUNTIME_FLAGS)
endif
endif

LIBRARY_COMPILE = $(BOOT_COMPILE)

BUILT_FILES = strings1.resources strings2.resources

strings1.resources: strings.txt strings-only1.txt
	cat strings.txt > strings1.txt
	cat strings-only1.txt >> strings1.txt
	resgen strings1.txt strings1.resources

strings2.resources: strings.txt strings-only2.txt
	cat strings.txt > strings2.txt
	cat strings-only2.txt >> strings2.txt
	resgen2 strings2.txt strings2.resources

include ../../build/library.make

DISTFILES =	\
	AssemblyInfo.vb				\
	msfinal.pub				\
	strings.txt				\
	strings-only1.txt			\
	strings-only2.txt			\
	2005VB.vbproj				\
	strings1.resources			\
	strings2.resources			\
	ChangeLog				\
	Makefile				\
	Microsoft.VisualBasic.dll.sources	\
	Microsoft.VisualBasic.dll.sources.win	\
	vbruntime.rsp				\
	vbruntime1.rsp				\
	vbruntime2.rsp				\
	Helper.vb				\
	2005VB.sln

Microsoft.VisualBasic.dll.sources: 2005VB.vbproj
	MONO_PATH="../../class/lib/bootstrap$$PLATFORM_PATH_SEPARATOR$$MONO_PATH" mono ../../tools/extract-source/extract-source.exe -x:r -s:2005VB.vbproj -d:Microsoft.VisualBasic.dll.sources -m:l
	MONO_PATH="../../class/lib/bootstrap$$PLATFORM_PATH_SEPARATOR$$MONO_PATH" mono ../../tools/extract-source/extract-source.exe -x:r -s:2005VB.vbproj -d:Microsoft.VisualBasic.dll.sources.win -m:w

install-binary: default
	cp ../../class/lib/vbnc/Microsoft.VisualBasic.* ../../class/lib/bootstrap

=== vbruntime/Test/Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 	Make.cmd
 
 DISTFILES += $(wildcard *.vb) $(wildcard *.cs) $(wildcard */*.vb) $(wildcard */*.cs)
-DISTFILES += $(wildcard bin/*)
+DISTFILES += $(wildcard bin/*config)
 
 MONO_VB_PATH="../../class/lib/bootstrap$(PLATFORM_PATH_SEPARATOR)$$MONO_PATH"
 
@@ -40,7 +40,16 @@
 WINTEST=-echo Linux environment.
 endif
 
-init:
+bin/nunit-console.exe:
+	wget -O bin/nunit-console.exe http://anonsvn.mono-project.com/viewvc/trunk/mono-basic/vbruntime/Test/bin/nunit-console.exe?revision=76123
+bin/nunit.framework.dll:
+	wget -O bin/nunit.framework.dll http://anonsvn.mono-project.com/viewvc/trunk/mono-basic/vbruntime/Test/bin/nunit.framework.dll?revision=76123
+bin/nunit.core.dll:
+	wget -O bin/nunit.core.dll http://anonsvn.mono-project.com/viewvc/trunk/mono-basic/vbruntime/Test/bin/nunit.core.dll?revision=76123
+bin/nunit.util.dll:
+	wget -O bin/nunit.util.dll http://anonsvn.mono-project.com/viewvc/trunk/mono-basic/vbruntime/Test/bin/nunit.util.dll?revision=76123
+
+init: bin/nunit-console.exe bin/nunit.framework.dll bin/nunit.core.dll bin/nunit.util.dll
 	cp bin/nunit-console$(NUNIT_VERSION).exe.config bin/nunit-console.exe.config
 	$(WINTEST)

## mono-basic 2.6.2

=== build/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 PLATFORMS = linux win32
 
-PROFILES = bootstrap vbnc
+PROFILES = bootstrap vbnc moonlight
 
 DISTFILES = \
 	config-default.make		\

=== tools/moonlight/Makefile ===
thisdir = tools/moonlight
topdir = ../../

include ../../build/rules.make

DISTFILES = Makefile tuner.vb

DLL_TO_TUNE = $(topdir)/class/lib/moonlight/Microsoft.VisualBasic.dll
TUNED_DLL = $(topdir)/class/lib/2.1/Microsoft.VisualBasic.dll

clean-local test-local run-test-local run-test-ondotnet-local all-local install-local uninstall-local:
	@:

dist-local: dist-default

tuner.exe: tuner.vb
	mono --debug $(topdir)/class/lib/bootstrap/vbnc.exe tuner.vb -out:tuner.exe -r:`pkg-config --variable=Libraries cecil` -debug+

moonlight:
	mkdir -p $(topdir)/class/lib/moonlight
	$(MAKE) -C ../../vbruntime/Microsoft.VisualBasic PROFILE=moonlight
	
tune: moonlight tuner.exe
	mkdir -p $(topdir)/class/lib/2.1/
	mono --debug tuner.exe $(DLL_TO_TUNE) $(TUNED_DLL)
	-cp $(DLL_TO_TUNE).mdb $(TUNED_DLL).mdb
	
install-moonlight: tune
	cp $(TUNED_DLL)* $(prefix)/lib/moonlight/plugin

verify: tune
	MONO_PATH=$(prefix)/lib/moonlight/plugin pedump --verify error,code $(TUNED_DLL)

=== vbnc/rt/Makefile ===
thisdir = vbnc/rt
SUBDIRS =
include ../../build/rules.make

NO_INSTALL = yes

PROGRAM = rt.exe
PROGRAM_COMPILE = $(BOOT_COMPILE) -r:System.Xml.dll,System.dll,System.Windows.Forms.dll,System.Drawing.dll -imports:System,Microsoft.VisualBasic,System.Collections,System.Collections.Generic,System.Diagnostics,System.Windows.Forms,System.Drawing -rootnamespace:rt

include ../../build/executable.make

DISTFILES = \
	Makefile                \
	source/rt.vbproj

rt.exe.sources: source/rt.vbproj
	MONO_PATH="../../class/lib/bootstrap$(PLATFORM_PATH_SEPARATOR)$$MONO_PATH" mono ../../tools/extract-source/extract-source.exe -s:source/rt.vbproj -b:source/ -d:rt.exe.sources -m:l -x:r

=== vbruntime/Microsoft.VisualBasic/Makefile ===
--- 
+++ 
@@ -5,6 +5,7 @@
 
 ifeq ("$(PROFILE)", "moonlight")
 LOCAL_VBNC_FLAGS = @vbruntime-moonlight.rsp $(EXTRA_VBRUNTIME_FLAGS)
+LIBRARY_SNK = $(topdir)/$(thisdir)/mono.snk
 else
 ifeq ("$(FXVERSION)", "1")
 LOCAL_VBNC_FLAGS = @vbruntime1.rsp $(EXTRA_VBRUNTIME_FLAGS)
@@ -32,6 +33,8 @@
 DISTFILES =	\
 	AssemblyInfo.vb				\
 	msfinal.pub				\
+	winfx3.pub				\
+	mono.snk				\
 	strings.txt				\
 	strings-only1.txt			\
 	strings-only2.txt			\
@@ -42,9 +45,11 @@
 	Makefile				\
 	Microsoft.VisualBasic.dll.sources	\
 	Microsoft.VisualBasic.dll.sources.win	\
+	Microsoft.VisualBasic.dll.moonlight.sources\
 	vbruntime.rsp				\
 	vbruntime1.rsp				\
 	vbruntime2.rsp				\
+	vbruntime-moonlight.rsp			\
 	Helper.vb				\
 	2005VB.sln

=== vbruntime/Test/Makefile ===

thisdir = vbruntime/Test
SUBDIRS =
include ../../build/rules.make

DISTFILES = \
	2008VB_test_CS.csproj		\
	2008VB_test_CS.dll.rsp		\
	2008VB_test_CS.dll.sources	\
	2008VB_test_CS.dll.sources.win	\
	2008VB_test_VB.dll.rsp		\
	2008VB_test_VB.dll.sources	\
	2008VB_test_VB.dll.sources.win	\
	2008VB_test_VB.vbproj		\
	ChangeLog

DISTFILES += $(wildcard *.vb) $(wildcard *.cs) $(wildcard */*.vb) $(wildcard */*.cs)
DISTFILES += $(wildcard bin/*config)

MONO_VB_PATH="../../class/lib/bootstrap$(PLATFORM_PATH_SEPARATOR)$$MONO_PATH"

ifeq ("$(FXVERSION)", "")
NUNIT_VERSION=2
else
NUNIT_VERSION=$(FXVERSION)
endif

ifeq ("$(NUNIT_VERSION)", "1")
CSCOMPILER=mcs
CSDEFINES=-define:NET_1_0,NET_1_1
else
CSCOMPILER=gmcs
CSDEFINES=-define:NET_1_0,NET_1_1,NET_2_0
endif

ifeq ($(PLATFORM), win32)
WINTEST=-cmd /C Make.cmd 1_1; cmd /C Make.cmd 2_0
else
WINTEST=-echo Linux environment.
endif

bin/nunit-console.exe:
	wget -O bin/nunit-console.exe http://anonsvn.mono-project.com/viewvc/trunk/mono-basic/vbruntime/Test/bin/nunit-console.exe?revision=76123
bin/nunit.framework.dll:
	wget -O bin/nunit.framework.dll http://anonsvn.mono-project.com/viewvc/trunk/mono-basic/vbruntime/Test/bin/nunit.framework.dll?revision=76123
bin/nunit.core.dll:
	wget -O bin/nunit.core.dll http://anonsvn.mono-project.com/viewvc/trunk/mono-basic/vbruntime/Test/bin/nunit.core.dll?revision=76123
bin/nunit.util.dll:
	wget -O bin/nunit.util.dll http://anonsvn.mono-project.com/viewvc/trunk/mono-basic/vbruntime/Test/bin/nunit.util.dll?revision=76123

init: bin/nunit-console.exe bin/nunit.framework.dll bin/nunit.core.dll bin/nunit.util.dll
	cp bin/nunit-console$(NUNIT_VERSION).exe.config bin/nunit-console.exe.config
	$(WINTEST)

2008VB_test_VB.dll.sources: 2008VB_test_VB.vbproj
	MONO_PATH=$(MONO_VB_PATH) mono ../../tools/extract-source/extract-source.exe -s:2008VB_test_VB.vbproj -d:2008VB_test_VB.dll.sources -m:l
	MONO_PATH=$(MONO_VB_PATH) mono ../../tools/extract-source/extract-source.exe -s:2008VB_test_VB.vbproj -d:2008VB_test_VB.dll.sources.win -m:w
	
2008VB_test_CS.dll.sources: 2008VB_test_CS.csproj
	MONO_PATH=$(MONO_VB_PATH) mono ../../tools/extract-source/extract-source.exe -s:2008VB_test_CS.csproj -d:2008VB_test_CS.dll.sources -m:l
	MONO_PATH=$(MONO_VB_PATH) mono ../../tools/extract-source/extract-source.exe -s:2008VB_test_CS.csproj -d:2008VB_test_CS.dll.sources.win -m:w

test-first:
	cd ../Microsoft.VisualBasic && make && cp ../../class/lib/vbnc/Microsoft.VisualBasic.dll* ../Test/bin

test-cs: test-first 2008VB_test_CS.dll.sources
	$(CSCOMPILER) "-out:bin/2008VB_test_CS.dll" @2008VB_test_CS.dll.rsp @2008VB_test_CS.dll.sources -lib:bin $(CSDEFINES)
	
test-vb: test-first 2008VB_test_VB.dll.sources
	$(VBNC) -out:bin/2008VB_test_VB.dll @2008VB_test_VB.dll.rsp /d:NET_VER=2.0 @2008VB_test_VB.dll.sources /libpath:bin

test-local: init run-test-cs run-test-vb

clean-local:
	-rm -f bin/2008VB_test_VB.*
	-rm -f bin/2008VB_test_CS.*
	-rm -fR bin/data
	
run-test-cs: test-cs
	-cd bin && mono --debug nunit-console.exe 2008VB_test_CS.dll /exclude:NotWorking /labels

run-test-vb: test-vb
	-cd bin && mono --debug nunit-console.exe 2008VB_test_VB.dll /exclude:NotWorking /labels

run-test-local: run-test-cs run-test-vb
	
run-test-ondotnet-local all-local install-local uninstall-local:
	@:

dist-local: dist-default

=== vbnc/vbnc/tests/Makefile ===
thisdir = vbnc/vbnc/tests
SUBDIRS =
include ../../../build/rules.make

DISTFILES = Readme.txt KnownFailures.txt Resources/Resources3.binary
DISTFILES += $(wildcard */*.vb) $(wildcard */*.rsp) $(wildcard */*.response) $(wildcard */*.resources) $(wildcard */*.resx)  \
             $(wildcard */*/*.vb) $(wildcard */*/*.rsp) $(wildcard */*/*.response) $(wildcard */*/*.resources) $(wildcard */*/*.resx)  \
             $(wildcard */*/*/*.vb) $(wildcard */*/*/*.rsp) $(wildcard */*/*/*.response) $(wildcard */*/*/*.resources) $(wildcard */*/*/*.resx)  \

ifndef TEST_BASE_DIR
TEST_BASE_DIR=./
endif
ifndef TEST_RECURSE
TEST_RECURSE=on
endif
ifndef TEST_COMPILER
TEST_COMPILER=../../../class/lib/vbnc/vbnc.exe
endif

ifeq ($(PLATFORM), win32)
# hack for cygwin, MONO_PATH seems to work only with full paths (Starting with C:/...).
# so we copy the only dependency to the executable location.
# this path is relative to ../../rt-console/
DEPENDENCIES=cp ../../class/lib/vbnc/Microsoft.VisualBasic.* .
else
DEPENDENCIES=:
endif

make-dependencies:
	-cd ../ && $(MAKE)
	-cd ../../../vbruntime/Microsoft.VisualBasic/ && $(MAKE)
	-cd ../../rt-console && $(MAKE) && $(DEPENDENCIES)
	-cd ../../rt-execute && $(MAKE) 
	

test-local: make-dependencies
	-MONO_PATH="$(PWD)/../../../class/lib/vbnc$(PLATFORM_PATH_SEPARATOR)$$MONO_PATH" mono --debug ../../rt-console/rt-console.exe -f=on -c=$(TEST_COMPILER) -b=$(TEST_BASE_DIR) -r=$(TEST_RECURSE) -verbosity:failed $(TEST_FLAGS)

show-failed: make-dependencies
	-MONO_PATH="$(PWD)/../../../class/lib/vbnc$(PLATFORM_PATH_SEPARATOR)$$MONO_PATH" mono --debug ../../rt-console/rt-console.exe -f=on -c=$(TEST_COMPILER) -b=$(TEST_BASE_DIR) -r=$(TEST_RECURSE) -printstatus=on -printstatusskip=Success,NotRun,Skipped $(TEST_FLAGS)

clean-local run-test-local run-test-ondotnet-local all-local install-local uninstall-local:
	@:

dist-local: dist-default

## mono-basic 2.10

=== tools/moonlight/Makefile ===
thisdir = tools/moonlight
topdir = ../../

include ../../build/rules.make

DISTFILES = Makefile tuner.vb

DLL_TO_TUNE = $(topdir)/class/lib/moonlight/Microsoft.VisualBasic.dll
TUNED_DLL = $(topdir)/class/lib/2.1/Microsoft.VisualBasic.dll

clean-local:
	@rm -f tuner.exe*

test-local run-test-local run-test-ondotnet-local all-local install-local uninstall-local:
	@:

dist-local: dist-default

tuner.exe: tuner.vb
	mono --debug $(topdir)/class/lib/bootstrap/vbnc.exe tuner.vb -out:tuner.exe -r:$(MCS_PATH)/class/lib/basic/Mono.Cecil.dll -debug+

moonlight:
	mkdir -p $(topdir)/class/lib/moonlight
	$(MAKE) -C ../../vbruntime/Microsoft.VisualBasic PROFILE=moonlight
	
tune: moonlight tuner.exe
	mkdir -p $(topdir)/class/lib/2.1/
	MONO_PATH=$(MONO_PATH)::$(MCS_PATH)/class/lib/basic/ $(MCS_PATH)/../mono/mini/mono --debug tuner.exe $(DLL_TO_TUNE) $(TUNED_DLL)
	-cp $(DLL_TO_TUNE).mdb $(TUNED_DLL).mdb
	
install-moonlight: tune
	cp $(TUNED_DLL)* $(prefix)/lib/moonlight/plugin

verify: tune
	MONO_PATH=$(prefix)/lib/moonlight/plugin pedump --verify error,code $(TUNED_DLL)

=== vbnc/vbnc/Makefile ===
--- 
+++ 
@@ -2,31 +2,37 @@
 SUBDIRS = tests
 include ../../build/rules.make
 
-LOCAL_VBNC_FLAGS = @vbnc.exe.rsp $(EXTERNAL_VBNC_FLAGS)
+LOCAL_VBNC_FLAGS = @vbnc.exe.rsp $(EXTERNAL_VBNC_FLAGS) /r:../../class/lib/$(PROFILE)/Mono.Cecil.VB.dll
 
-PROGRAM = $(topdir)/class/lib/vbnc/vbnc.exe
-PROGRAM_COMPILE = $(BOOT_COMPILE)
+PROGRAM = $(topdir)/class/lib/$(PROFILE)/vbnc.exe
+PROGRAM_COMPILE = $(BOOT_COMPILE) /novbruntimeref /r:../../class/lib/bootstrap/Microsoft.VisualBasic.dll
 
 include ../../build/executable.make
+
 DISTFILES = \
+	ChangeLog 		\
 	Makefile  		\
 	Readme.txt  		\
 	vbnc.Errors.resources	\
 	vbnc.exe.rsp  		\
 	vbnc.exe.sources  	\
-	vbnc.sln  		\
 	vbnc.vbnc.rsp		\
 	source/vbnc.vbproj	\
-	bin/vbnc.rsp            \
 	source/Resources/Errors.resx \
 	source/vbnc.rsp		\
 	setversion.sh
+
+CLEAN_FILES = \
+	version.tmp 					\
+	$(topdir)/vbnc/vbnc/source/General/Version.vb 	\
+	../../class/lib/$(PROFILE)/vbnc.rsp
 
 version.tmp: $(topdir)/configure setversion.sh
 	-$(topdir)/vbnc/vbnc/setversion.sh $(topdir)/vbnc/vbnc/source/General/Version.vb
 
 all-local: vbnc.Errors.resources vbnc.exe.sources version.tmp
-
+	@cp -pu vbnc.vbnc.rsp ../../class/lib/$(PROFILE)/vbnc.rsp
+	
 vbnc.Errors.resources: source/Resources/Errors.resx
 	resgen2 source/Resources/Errors.resx vbnc.Errors.resources
 
@@ -39,14 +45,16 @@
 install-local: install-extras version.tmp
 install-extras: 
 	$(MKINSTALLDIRS) $(DESTDIR)$(PROGRAM_INSTALL_DIR)
-	$(INSTALL_DATA) bin/vbnc.rsp $(DESTDIR)$(PROGRAM_INSTALL_DIR)
+	$(INSTALL_DATA) source/vbnc.rsp $(DESTDIR)$(PROGRAM_INSTALL_DIR)
 
 uninstall-local: uninstall-extras
 uninstall-extras:
 	rm -f $(DESTDIR)$(PROGRAM_INSTALL_DIR)/vbnc.rsp
 
 install-binary: default
-	cp ../../class/lib/vbnc/vbnc.* ../../class/lib/bootstrap
+	cp ../../class/lib/$(PROFILE)/vbnc.* ../../class/lib/bootstrap
+	cp ../../class/lib/$(PROFILE)/Mono.Cecil.* ../../class/lib/bootstrap
+	cp source/vbnc.rsp ../../class/lib/bootstrap/vbnc.rsp
 
 boot-from-ms:
 	cd tests/SelfTest/ && boot.sh && rerun.sh

=== debian/changelog ===
mono-basic (2.10-1build1) precise; urgency=low

  * No-change rebuild against current pkgbinarymangler to fix broken
    md5sums. (see LP #875466)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 29 Feb 2012 09:17:15 +0100

mono-basic (2.10-1) experimental; urgency=low

  * [813399b] Imported Upstream version 2.10
  * [c85d8e8] Stop converting the archive format in get-orig-source rule
  * [a8c2507] Use Debian source format 3.0 (quilt)
  * [9803c81] Bump Standards to version 3.9.1
  * [8c6c640] Convert packaging to DebHelper 7
  * [b0a16ff] Bump API version to 2.10, so packages built against mono-
    vbnc require 2.10 minimum
  * [694e4a4] Ensure we don't run the test suite, since it bails out on
    a clean system
  * [75b5b78] Since we're building a 4.0 library now, update
    debian/install to handle 4.0 libs, not 2.0 libs
  * [4e41d8c] Ensure we run the cli-common commands, by including
    cli.make in debian/rules
  * [0965d04] Split new libraries out into correctly named packages
  * [c8c5cd8] Update Vcs-* fields - this package hasn't been in SVN for
    ages
  * [2772f00] Build-depend on cli-common 0.8, due to 4.0 libraries
  * [7c89842] Add a manual dependency on libmono-microsoft-
    visualbasic10.0-cil, because mono-vbnc doesn't technically reference
    the assembly (it merely explodes in its absence)
  * [3fae244] Make use of --exclude-moduleref capability of cli-common-
    dev 0.8, to avoid bailing out due to optional Windows-only
    P/Invokes.

 -- Jo Shields <directhex@apebox.org>  Sat, 09 Apr 2011 22:38:01 +0100

mono-basic (2.6.2-2) unstable; urgency=low

  * Upload to Debian Unstable

 -- Jo Shields <directhex@apebox.org>  Fri, 10 Sep 2010 15:28:10 +0100

mono-basic (2.6.2-1) experimental; urgency=low

  * New upstream release
  * debian/control:
    + No-change bump to Standards 3.8.4
  * debian/rules:
    + Policy-compliant get-orig-source download location (i.e. ./)

 -- Jo Shields <directhex@apebox.org>  Mon, 12 Apr 2010 23:30:34 +0100

mono-basic (2.4.2-2) unstable; urgency=low

  * debian/control:
    + No-change bump to Standards 3.8.3
    + Tweak build-deps to use new libmono-cil-dev package instead of
      individually named libs

 -- Jo Shields <directhex@apebox.org>  Wed, 06 Jan 2010 21:05:33 +0000

mono-basic (2.4.2-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + No-change bump to Standards 3.8.2
  * debian/rules:
    + Fix get-orig-source rule to produce consistent md5sums

 -- Jo Shields <directhex@apebox.org>  Tue, 30 Jun 2009 12:56:40 +0100

mono-basic (2.4-1) unstable; urgency=low

  * New upstream release
  * Dropping +dfsg, only documented bootstrap binaries remain
  * debian/control:
    + No-change bump to standards version 3.8.1
  * debian/man/vbnc.1,
    debian/mono-vbnc.manpages:
    + Drop bundled manpage, upstream finally include it

 -- Jo Shields <directhex@apebox.org>  Wed, 29 Apr 2009 01:03:25 +0100

mono-basic (2.0+dfsg-1) unstable; urgency=low

  [ Jo Shields ]
  * New upstream release
  * debian/control:
    + Bump standards version
    + Change sloppy build-dependencies to exact dependencies
    + Bump version of Mono required to build up to 1.9 or so
  * debian/rules:
    + Bumped clilibs to 2.0
    + Remove vbnc/vbnc/tests/Errors/2017-aspnet1.vb from list
      of files to +dfsg - it has been blanked out by upstream

  [ Mirco Bauer ]
  * debian/control:
    + Added Homepage, Vcs-Browser and Vcs-Svn fields.

 -- Jo Shields <directhex@apebox.org>  Thu, 16 Oct 2008 10:01:18 +0100

mono-basic (1.9+dfsg-3) unstable; urgency=low

  * debian/control:
    + Clean dbg-package-missing-depends lintian error by explicitly
      making the dbg package depend on identical versions of the
      mono-vbnc and libmono-microsoft-visualbasic8.0-cil packages
  * debian/mono-vbnc.manpages:
    + Clean binary-without-manpage lintian error by including simple
      manpage override file for mono-vbnc package
  * debian/man/vbnc.1:
    + Clean binary-without-manpage lintian error by copying vbnc.1
      from mono source tarball
  * debian/rules:
    + Clean binary-without-manpage lintian error by including 
      dh_installman
    + Clean changelog-file-not-compressed lintian error by including 
      dh_compress
  * debian/changelog:
    + Clean copyright-lists-upstream-authors-with-dh_make-boilerplate
      lintian error by removing unneeded brackets

 -- Jo Shields <directhex@apebox.org>  Sun, 21 Sep 2008 23:44:18 +0100

mono-basic (1.9+dfsg-2) unstable; urgency=low

  * debian/control:
    + Add myself to uploaders.
    + Bump standards version to 3.8.0 (no changes)
  * debian/rules:
    + Explicitly remove build/config.make in "clean" target, as it
      is left behind by "make clean"
    + Another file removed in get-orig-source for DFSG version:
      vbnc/vbnc/tests/Errors/2017-aspnet1.vb
    + Alter get-orig-source to append "+dfsg" to source tarball's
      directory
  * debian/changelog:
    + Document bootstrap binaries in class/lib/bootstrap/

 -- Jo Shields <directhex@apebox.org>  Fri, 22 Aug 2008 22:30:22 +0100

mono-basic (1.9+dfsg-1) unstable; urgency=low

  [ Matthias Jahn ]
  * Initial packaging.

  [ Mirco Bauer ]
  * DFSG version of mono-basic 1.9
    (deleted all pre-compiled binaries from the tarball)
    + For the record here a list of the deleted files:
      vbruntime/Test/bin/nunit.framework.dll
      vbruntime/Test/bin/nunit.core.dll
      vbruntime/Test/bin/nunit.util.dll
      vbruntime/Test/bin/nunit-console.exe
  * debian/control:
    + Enhanced package descriptions.

  [ Jelmer Vernooij ]
  * Updated debian/watch file for dfsg changes.
  * Added get-orig-source target in debian/rules.
  * Add myself to uploaders.

 -- Jelmer Vernooij <jelmer@samba.org>  Thu, 10 Jul 2008 13:09:22 +0200

=== debian/control ===
Source: mono-basic
Priority: optional
Maintainer: Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>
Uploaders: Mirco Bauer <meebey@debian.org>, Jo Shields <directhex@apebox.org>
Build-Depends: debhelper (>= 7.0.50~),
 cli-common-dev (>= 0.8~exp2~),
 mono-devel (>= 2.10)
Standards-Version: 3.9.1
Section: devel
Homepage: http://www.mono-project.com/Visual_Basic
Vcs-Git: git://git.debian.org/pkg-mono/packages/mono-basic.git
Vcs-Browser: http://git.debian.org/?p=pkg-mono/packages/mono-basic.git

Package: libmono-microsoft-visualbasic8.0-cil
Section: libs
Architecture: all
Depends: ${cli:Depends}, ${misc:Depends}
Description: Visual Basic 2005 runtime libraries for Mono
 This package contains the Mono Visual Basic runtime library, aimed at
 the specifications / features of the Visual Basic 2005.
 .
 Mono is a platform for running and developing applications based on the
 ECMA/ISO Standards. Mono is an open source effort led by Novell.
 Mono provides a complete CLR (Common Language Runtime) including compiler and
 runtime, which can produce and execute CIL (Common Intermediate Language)
 bytecode (aka assemblies), and a class library.

Package: libmono-microsoft-visualbasic10.0-cil
Section: libs
Architecture: all
Depends: ${cli:Depends}, ${misc:Depends}
Description: Visual Basic 2010 runtime libraries for Mono
 This package contains the Mono Visual Basic runtime library, aimed at
 the specifications / features of the Visual Basic 2010.
 .
 Mono is a platform for running and developing applications based on the
 ECMA/ISO Standards. Mono is an open source effort led by Novell.
 Mono provides a complete CLR (Common Language Runtime) including compiler and
 runtime, which can produce and execute CIL (Common Intermediate Language)
 bytecode (aka assemblies), and a class library.

Package: libmono-cecil-vb0.9-cil
Section: libs
Architecture: all
Depends: ${cli:Depends}, ${misc:Depends}
Description: Visual Basic 2010 Cecil libraries for Mono
 This package contains the Cecil libraries for the Mono Visual Basic library, 
 aimed at the specifications / features of the Visual Basic 2010.
 .
 Mono is a platform for running and developing applications based on the
 ECMA/ISO Standards. Mono is an open source effort led by Novell.
 Mono provides a complete CLR (Common Language Runtime) including compiler and
 runtime, which can produce and execute CIL (Common Intermediate Language)
 bytecode (aka assemblies), and a class library.

Package: mono-vbnc
Section: devel
Architecture: all
Depends: libmono-microsoft-visualbasic10.0-cil (= ${binary:Version}), ${cli:Depends}, ${misc:Depends}
Provides: visual-basic-10.0-compiler
Description: Mono Visual Basic Compiler (VB.NET)
 This is the Mono Visual Basic.NET Compiler (vbnc), aimed at the specifications
 / features of the Visual Basic 2005 compiler.
 A platform-independent compiler which produces executable CIL (Common
 Intermediate Language) binaries.
 This compiler targets the CLI (Common Language Infrastructure) 2.0 runtime
 version.
 .
 Mono is a platform for running and developing applications based on the
 ECMA/ISO Standards. Mono is an open source effort led by Novell.
 Mono provides a complete CLR (Common Language Runtime) including compiler and
 runtime, which can produce and execute CIL (Common Intermediate Language)
 bytecode (aka assemblies), and a class library.

Package: mono-basic-dbg
Priority: extra
Section: devel
Depends: mono-vbnc (= ${binary:Version}), libmono-microsoft-visualbasic10.0-cil (= ${binary:Version}), libmono-microsoft-visualbasic8.0-cil (= ${binary:Version}), libmono-cecil-vb0.9-cil (= ${binary:Version}), ${misc:Depends}
Architecture: all
Description: Mono Visual Basic, debugging symbols
 This package contains debugging symbols of the mono-vbnc and
 libmono-microsoft-visualbasic8.0-cil package.
 .
 Mono is a platform for running and developing applications based on the
 ECMA/ISO Standards. Mono is an open source effort led by Novell.
 Mono provides a complete CLR (Common Language Runtime) including compiler and
 runtime, which can produce and execute CIL (Common Intermediate Language)
 bytecode (aka assemblies), and a class library.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
MAKEFILE = $(firstword $(MAKEFILE_LIST))
DEBIAN_DIR = $(dir $(MAKEFILE))
SOURCE_DIR = $(DEBIAN_DIR)/..

DEB_VERSION = $(shell dpkg-parsechangelog -l$(DEBIAN_DIR)/changelog | grep ^Version | cut -d" " -f2)
DEB_SOURCE_NAME = $(shell dpkg-parsechangelog -l$(DEBIAN_DIR)/changelog | grep ^Source | cut -d" " -f2)
VERSION = $(shell echo $(DEB_VERSION) | cut -d"-" -f1 | sed 's/+dfsg.*//')

export MONO_SHARED_DIR=$(CURDIR)

include /usr/share/cli-common/cli.make

DEB_CLI_API_VERSION = 2.10

get-orig-source:
	uscan \
		--package $(DEB_SOURCE_NAME) \
		--watchfile $(DEBIAN_DIR)/watch \
		--upstream-version $(VERSION) \
		--download-version $(VERSION) \
		--destdir . \
		--force-download \
		--rename

override_dh_clistrip:
	dh_clistrip -i --dbg-package=mono-basic-dbg

override_dh_makeclilibs:
	dh_makeclilibs -i -m $(DEB_CLI_API_VERSION)

override_dh_clideps:
	dh_clideps --exclude-moduleref=kernel32 --exclude-moduleref=ole32.dll

override_dh_auto_test:

%:
	dh $@

## mono-basic 2.10-1maemo1

=== debian/changelog ===
mono-basic (2.10-1maemo1) fremantle; urgency=low

  * Initial release for Maemo

 -- Nikita Tsukanov <keks9n@gmail.com>  Sat, 30 Apr 2011 21:35:40 +0400

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: mono-basic
 Priority: optional
-Maintainer: Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>
-Uploaders: Mirco Bauer <meebey@debian.org>, Jo Shields <directhex@apebox.org>
-Build-Depends: debhelper (>= 7.0.50~),
- cli-common-dev (>= 0.8~exp2~),
+Maintainer: Nikita Tsukanov <keks9n@gmail.com>
+Original-Maintainer: Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>
+Build-Depends: debhelper,
+ cli-common-dev, mono-scratchbox,
  mono-devel (>= 2.10)
 Standards-Version: 3.9.1
 Section: devel

=== debian/rules ===
--- 
+++ 
@@ -12,9 +12,11 @@
 
 export MONO_SHARED_DIR=$(CURDIR)
 
-include /usr/share/cli-common/cli.make
+DEB_CLI_API_VERSION = 2.0
 
-DEB_CLI_API_VERSION = 2.10
+config.status: configure
+	dh_testdir
+	./configure --prefix=/usr
 
 get-orig-source:
 	uscan \
@@ -25,17 +27,52 @@
 		--destdir . \
 		--force-download \
 		--rename
+	bzcat ./$(DEB_SOURCE_NAME)_$(VERSION).orig.tar.bz2 | \
+		gzip -9fn -c - > ./$(DEB_SOURCE_NAME)_$(VERSION).orig.tar.gz
+	rm ./$(DEB_SOURCE_NAME)_$(VERSION).orig.tar.bz2
 
-override_dh_clistrip:
+
+build: build-stamp
+build-stamp: config.status
+	dh_testdir
+	$(MAKE)
+	touch $@
+
+clean:
+	dh_testdir
+	dh_testroot
+	rm -f build-stamp
+	rm -rf $(MONO_SHARED_DIR)/.wapi
+	rm -f build/config.make
+	$(MAKE) clean
+	dh_clean
+
+install: build
+	dh_testdir
+	dh_testroot
+	dh_clean -k
+	dh_installdirs
+	$(MAKE) prefix=$(CURDIR)/debian/tmp/usr install
+
+binary-indep: build install
+	dh_testdir
+	dh_testroot
+	dh_install -i --list-missing
+	dh_installchangelogs -i ChangeLog
+	dh_installdocs -i
+	dh_installman
 	dh_clistrip -i --dbg-package=mono-basic-dbg
+	dh_compress
+	dh_fixperms -i
+	dh_clifixperms -i
+	dh_makeclilibs -i -m $(DEB_CLI_API_VERSION)
+	dh_installdeb -i
+	dh_clideps -i
+	dh_gencontrol -i
+	dh_md5sums -i
+	dh_builddeb -i
 
-override_dh_makeclilibs:
-	dh_makeclilibs -i -m $(DEB_CLI_API_VERSION)
+binary-arch: build install
 
-override_dh_clideps:
-	dh_clideps --exclude-moduleref=kernel32 --exclude-moduleref=ole32.dll
-
-override_dh_auto_test:
-
-%:
-	dh $@
+binary: binary-indep binary-arch
+.PHONY: build clean binary-indep binary-arch binary install
